summaryrefslogtreecommitdiff
path: root/test/integration
diff options
context:
space:
mode:
Diffstat (limited to 'test/integration')
-rwxr-xr-xtest/integration/run-tests5
-rwxr-xr-xtest/integration/test-apt-progress-fd51
-rwxr-xr-xtest/integration/test-apt-progress-fd-deb82264
-rwxr-xr-xtest/integration/test-disappearing-packages2
4 files changed, 95 insertions, 27 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
index 18474b20f..7316016e2 100755
--- a/test/integration/run-tests
+++ b/test/integration/run-tests
@@ -2,6 +2,7 @@
set -e
FAIL=0
+FAILED_TESTS=""
DIR=$(readlink -f $(dirname $0))
if [ "$1" = "-q" ]; then
export MSGLEVEL=2
@@ -29,6 +30,7 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do
fi
if ! ${testcase}; then
FAIL=$((FAIL+1))
+ FAILED_TESTS="$FAILED_TESTS $(basename $testcase)"
echo "$(basename $testcase) ... FAIL"
fi
if [ "$MSGLEVEL" -le 2 ]; then
@@ -37,5 +39,8 @@ for testcase in $(run-parts --list $DIR | grep '/test-'); do
done
echo "failures: $FAIL"
+if [ -n "$FAILED_TESTS" ]; then
+ echo "Failed tests: $FAILED_TESTS";
+fi
# ensure we don't overflow
exit $((FAIL <= 255 ? FAIL : 255))
diff --git a/test/integration/test-apt-progress-fd b/test/integration/test-apt-progress-fd
index 5f73c8f8c..9d250e949 100755
--- a/test/integration/test-apt-progress-fd
+++ b/test/integration/test-apt-progress-fd
@@ -18,14 +18,14 @@ testsuccess aptget install testing=0.1 -y -o APT::Status-Fd=3
testequal "dlstatus:1:0:Retrieving file 1 of 1
dlstatus:1:0:Retrieving file 1 of 1
pmstatus:dpkg-exec:0:Running dpkg
-pmstatus:testing:0:Installing testing
-pmstatus:testing:20:Preparing testing
-pmstatus:testing:40:Unpacking testing
-pmstatus:testing:60:Preparing to configure testing
+pmstatus:testing:0:Installing testing (amd64)
+pmstatus:testing:20:Preparing testing (amd64)
+pmstatus:testing:40:Unpacking testing (amd64)
+pmstatus:testing:60:Preparing to configure testing (amd64)
pmstatus:dpkg-exec:60:Running dpkg
-pmstatus:testing:60:Configuring testing
-pmstatus:testing:80:Configuring testing
-pmstatus:testing:100:Installed testing" cat apt-progress.log
+pmstatus:testing:60:Configuring testing (amd64)
+pmstatus:testing:80:Configuring testing (amd64)
+pmstatus:testing:100:Installed testing (amd64)" cat apt-progress.log
# upgrade
exec 3> apt-progress.log
@@ -33,23 +33,22 @@ testsuccess aptget install testing=0.8.15 -y -o APT::Status-Fd=3
testequal "dlstatus:1:0:Retrieving file 1 of 1
dlstatus:1:0:Retrieving file 1 of 1
pmstatus:dpkg-exec:0:Running dpkg
-pmstatus:testing:20:Preparing testing
-pmstatus:testing:40:Unpacking testing
-pmstatus:testing:60:Preparing to configure testing
+pmstatus:testing:20:Preparing testing (amd64)
+pmstatus:testing:40:Unpacking testing (amd64)
+pmstatus:testing:60:Preparing to configure testing (amd64)
pmstatus:dpkg-exec:60:Running dpkg
-pmstatus:testing:60:Configuring testing
-pmstatus:testing:80:Configuring testing
-pmstatus:testing:100:Installed testing" cat apt-progress.log
+pmstatus:testing:60:Configuring testing (amd64)
+pmstatus:testing:80:Configuring testing (amd64)
+pmstatus:testing:100:Installed testing (amd64)" cat apt-progress.log
# and remove
exec 3> apt-progress.log
testsuccess aptget remove testing -y -o APT::Status-Fd=3
testequal "pmstatus:dpkg-exec:0:Running dpkg
-pmstatus:testing:0:Removing testing
-pmstatus:testing:33.3333:Preparing for removal of testing
-pmstatus:testing:66.6667:Removing testing
-pmstatus:testing:100:Removed testing" cat apt-progress.log
-
+pmstatus:testing:0:Removing testing (amd64)
+pmstatus:testing:33.3333:Preparing for removal of testing (amd64)
+pmstatus:testing:66.6667:Removing testing (amd64)
+pmstatus:testing:100:Removed testing (amd64)" cat apt-progress.log
# install non-native and ensure we get proper progress info
exec 3> apt-progress.log
@@ -59,13 +58,13 @@ testsuccess aptget install testing2:i386 -y -o APT::Status-Fd=3
testequal "dlstatus:1:0:Retrieving file 1 of 1
dlstatus:1:0:Retrieving file 1 of 1
pmstatus:dpkg-exec:0:Running dpkg
-pmstatus:testing2:0:Installing testing2
-pmstatus:testing2:20:Preparing testing2
-pmstatus:testing2:40:Unpacking testing2
-pmstatus:testing2:60:Preparing to configure testing2
+pmstatus:testing2:0:Installing testing2 (i386)
+pmstatus:testing2:20:Preparing testing2 (i386)
+pmstatus:testing2:40:Unpacking testing2 (i386)
+pmstatus:testing2:60:Preparing to configure testing2 (i386)
pmstatus:dpkg-exec:60:Running dpkg
-pmstatus:testing2:60:Configuring testing2
-pmstatus:testing2:80:Configuring testing2
-pmstatus:testing2:100:Installed testing2" cat apt-progress.log
+pmstatus:testing2:60:Configuring testing2 (i386)
+pmstatus:testing2:80:Configuring testing2 (i386)
+pmstatus:testing2:100:Installed testing2 (i386)" cat apt-progress.log
-rm -f apt-progress*.log \ No newline at end of file
+rm -f apt-progress*.log
diff --git a/test/integration/test-apt-progress-fd-deb822 b/test/integration/test-apt-progress-fd-deb822
new file mode 100755
index 000000000..9d227942d
--- /dev/null
+++ b/test/integration/test-apt-progress-fd-deb822
@@ -0,0 +1,64 @@
+#!/bin/sh
+set -e
+
+TESTDIR=$(readlink -f $(dirname $0))
+. $TESTDIR/framework
+
+setupenvironment
+configarchitecture 'amd64' 'i386'
+
+buildsimplenativepackage 'testing' 'amd64' '0.1' 'stable'
+buildsimplenativepackage 'testing' 'all' '0.8.15' 'stable'
+buildsimplenativepackage 'testing2' 'amd64,i386' '0.8.15' 'stable'
+setupaptarchive
+
+# install native
+exec 3> apt-progress.log
+testsuccess aptget install testing=0.1 -y -o APT::Status-deb822-Fd=3
+
+testequal "Status: progress
+Percent: 0
+Message: Running dpkg
+
+Status: progress
+Package: testing:amd64
+Percent: 0
+Message: Installing testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 20
+Message: Preparing testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 40
+Message: Unpacking testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 60
+Message: Preparing to configure testing (amd64)
+
+Status: progress
+Percent: 60
+Message: Running dpkg
+
+Status: progress
+Package: testing:amd64
+Percent: 60
+Message: Configuring testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 80
+Message: Configuring testing (amd64)
+
+Status: progress
+Package: testing:amd64
+Percent: 100
+Message: Installed testing (amd64)
+" cat apt-progress.log
+
+
+rm -f apt-progress*.log
diff --git a/test/integration/test-disappearing-packages b/test/integration/test-disappearing-packages
index 09dbf7014..3b1e1bd7c 100755
--- a/test/integration/test-disappearing-packages
+++ b/test/integration/test-disappearing-packages
@@ -40,7 +40,7 @@ echo "The following package disappeared from your system as
all files have been overwritten by other packages:
old-pkg
Note: This is done automatically and on purpose by dpkg." > $COMPAREFILE
-$CMD 2>&1 | tail -n 4 | diff $COMPAREFILE - && msgpass || msgfail
+$CMD 2>&1 | tail -n 4 | diff -u $COMPAREFILE - && msgpass || msgfail
rm $COMPAREFILE
sed -i rootdir/var/log/apt/history.log -e '/^Commandline: / d' -e '/^Start-Date: / d' -e '/^End-Date: / d' -e "s#:$(getarchitecture 'native') #:native #"